camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Francesco Chicchiriccò <ilgro...@apache.org>
Subject Re: Upgrade guide to 3.0.0-M1?
Date Fri, 01 Mar 2019 10:34:48 GMT
Thanks for pointing to the guide, I was able to fix as follows:

      <bean method="create(${body},${exchangeProperty.disablePwdPolicyCheck},${exchangeProperty.enabled})"
            ref="uwfAdapter" />

Regards.

On 2019/03/01 10:21:14, Andrea Cosentino <ancosen1985@yahoo.com.INVALID> wrote: 
> Hello,
> 
> There is a migration guide here
> 
> https://github.com/apache/camel/blob/master/MIGRATION.md
> 
> also the documentation is now fully in the repository. We are working on new site for
this.
> 
> HTH.
> 
> --
> Andrea Cosentino 
> ----------------------------------
> Apache Camel PMC Chair
> Apache Karaf Committer
> Apache Servicemix PMC Member
> Email: ancosen1985@yahoo.com
> Twitter: @oscerd2
> Github: oscerd
> 
> On Friday, March 1, 2019, 11:17:35 AM GMT+1, Francesco Chicchiriccò <ilgrosso@apache.org>
wrote: 
> 
> Hi there,
> I am trying to upgrade Apache Syncope from 2.23.1 to the recently released 3.0.0-M1.
> 
> Besides some differences in import statements, and the additional dependency org.apache.camel:spi-annotations,
I am now able to build our sources.
> 
> Our tests are however failing because it seems there is some difference on the way how
access to Exchange properties are handled in the XML DSL; the existing format, e.g.
> 
>       <bean method="create(${body},${property.disablePwdPolicyCheck},${property.enabled})"
>             ref="uwfAdapter" />
> 
> raises an exception [1], but used to work fine with 2.23.1.
> 
> Is there any guide available to assist the upgrade process?
> 
> TIA
> Regards.
> 
> [1] https://paste.apache.org/aSEN

Mime
View raw message